org.apache.hadoop.mapred.join

## Class ResetableIterator.EMPTY<U extends org.apache.hadoop.io.Writable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.join.ResetableIterator.EMPTY<U>
  - - org.apache.hadoop.mapred.join.ResetableIterator.EMPTY<U>

- All Implemented Interfaces:
    ResetableIterator<U>
  Enclosing interface:
    ResetableIterator<T extends org.apache.hadoop.io.Writable>

      public static class ResetableIterator.EMPTY<U extends org.apache.hadoop.io.Writable>
      extends ResetableIterator.EMPTY<U>
      implements ResetableIterator<U>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.mapred.join.ResetableIterator

      `ResetableIterator.EMPTY<U extends org.apache.hadoop.io.Writable>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMPTY()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.ResetableIterator.EMPTY

      `add, clear, close, hasNext, next, replay, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.join.ResetableIterator

      `add, clear, close, hasNext, next, replay, reset`

- - ### Constructor Detail

    - #### EMPTY

          public EMPTY()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.